#
# spec file for package nagios-plugins-yum (Version 0.7.1)
#
#

# norootforbuild


Name:           nagios-plugins-yum
Summary:        Checks for Yum Updates on Redhat Enterprise Linux or CentOS systems
Version:        0.7.1
Release:        1.1
Url:            http://exchange.nagios.org/directory/Plugins/Uncategorized/Operating-Systems/Linux/Check_Yum/details
License:        BSD 4-Clause
Group:          System/Monitoring
Source0:	check_yum
Source10:	README

BuildArch:      noarch
Requires:	python redhat-rpm-config

BuildRoot:      %{_tmppath}/%{name}-%{version}-build
%define		    libexecdir %_prefix/lib/nagios/plugins

%description
Checks for Yum Updates on Redhat Enterprise Linux or CentOS systems.
Differentiates between Security and regular updates and returns the
number of each type of update in the output information. 
Goes critical on security updates but tolerates normal updates unless
you use the --warn-on-any-update switch.
Has support for running only off cache or enabling/disable repositories.
Can also treat all updates equally and return Critical on any available update.

Uses the yum plugin yum-security to get the security information.
The check_yum plugin will tell you if you do not have this installed,
in which case a quick 'yum install yum-security' will do it,
or you can just treat all updates equally in which case you will not need the security plugin


%prep
%setup -T -c -n %{name}
cp %{S:10} $RPM_BUILD_DIR/%{name}/

%build

%install
install -D -m755 %{SOURCE0} %buildroot/%libexecdir/check_yum

%clean
rm -rf %buildroot

%files 
%defattr(-,root,root)
%doc README
# avoid build dependecy of nagios - own the dirs
%dir %_prefix/lib/nagios
%dir %libexecdir
%libexecdir/check_yum

%changelog
* Thu Jan 27 2011 Carsten Schoene <cs@linux-administrator.com> - 0.7.1
- update to release 0.7.1

* Mon Mar 16 2009 Carsten Schoene <cs@linux-administrator.com>
- initial release
